%define upstream_name    XML-Atom
%define upstream_version 0.41

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl Module for Processing Atom Feeds
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(URI)
BuildRequires: perl(XML::LibXML) >= 1.690.0
BuildRequires: perl(XML::XPath)
BuildArch:  noarch

Requires:   perl(XML::LibXML)
%description
Perl Module for processing Atoms feed and that provides access to the Atom
API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
SKIP_SAX_INSTALL=1 CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.yml README
%{perl_vendorlib}/XML
%{_mandir}/*/*

%changelog

* Thu Oct 13 2011 jquelin <jquelin> 0.410.0-1.mga2
+ Revision: 154506
- update to 0.41

* Mon Sep 26 2011 jquelin <jquelin> 0.400.0-1.mga2
+ Revision: 148251
- update to 0.40

* Tue Jun 21 2011 jquelin <jquelin> 0.390.0-1.mga2
+ Revision: 111462
- update to 0.39

* Wed Jun 15 2011 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 107584
- update to 0.38

* Mon Jan 24 2011 jquelin <jquelin> 0.370.0-1.mga1
+ Revision: 36700
- mageia rebuild
- imported package perl-XML-Atom


* Wed Dec 30 2009 Jérôme Quelin <jquelin@mandriva.org> 0.370.0-1mdv2010.1
+ Revision: 483887
- update to 0.37

* Fri Dec 25 2009 Michael Scherer <misc@mandriva.org> 0.360.0-2mdv2010.1
+ Revision: 482289
- fix License

* Wed Dec 23 2009 Jérôme Quelin <jquelin@mandriva.org> 0.360.0-1mdv2010.1
+ Revision: 481711
- update to 0.36

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.350.0-1mdv2010.0
+ Revision: 401878
- rebuild using %%perl_convert_version

* Sun May 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-1mdv2010.0
+ Revision: 371363
- update to new version 0.35

* Thu Jan 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-1mdv2009.1
+ Revision: 327085
- update to new version 0.33

* Mon Nov 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2009.1
+ Revision: 306237
- update to new version 0.32

* Fri Nov 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2009.1
+ Revision: 303114
- update to new version 0.31

* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2009.1
+ Revision: 302725
- new version

* Mon Oct 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdv2009.1
+ Revision: 297544
- update to new version 0.29

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.28-4mdv2009.0
+ Revision: 258795
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.28-3mdv2009.0
+ Revision: 246720
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Nov 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2008.1
+ Revision: 106665
- update to new version 0.28

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.27-1mdv2008.1
+ Revision: 97576
- update to new version 0.27


* Mon Mar 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-2mdv2007.1
+ Revision: 141649
- explicit dependency on perl(XML::LibXML)

* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2007.1
+ Revision: 133532
- fix build dependencies, drop explicit runtime dependencies

* Fri Mar 02 2007 Shlomi Fish  0.25-2mdv2007.1
- Fixed the summary.
- Converted to noarch.

* Fri Mar 02 2007 Shlomi Fish  0.25-1mdv2007.1
- Initial release. Adapted the Feed-Find spec for this one.

